0

I have executable for x86 machine, dynamically linked, while the same library is installed in the 64 arch host, and utilized by hundreds of binaries, and libraries, while the objective not to have 64 executable, but to get the x86 running, how package versoning can be emulated in apt-get package management in debian, or how to solve this problem?

Host is 64-arch, executable compiled for 32-arch libarary installed with 64-arch compiler, and can't be removed

how to have 32-arch, and 64-arch of the same library installed on the same machine, is there any solution away from installing different package-manager with support of package-versioning as nix

     apt-get build-dep libgtk2.0-dev:i386
Reading package lists... Done
Picking 'gtk+2.0' as source package instead of 'libgtk2.0-dev'
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  cython fltk1.3-doc fluid freeglut3-dev gazebo9 gazebo9-common gazebo9-plugin-base gcc-6-base:i386 gcc-7-base:i386 gir1.2-gdkpixbuf-2.0:i386 gir1.2-glib-2.0:i386 gir1.2-gtk-2.0 gir1.2-harfbuzz-0.0:i386
  google-mock googletest hddtemp libapr1-dev libaprutil1-dev libarmadillo-dev libarpack2-dev libasan3:i386 libassimp-dev libassimp4 libassuan-dev libatomic1:i386 libavdevice-dev libavdevice57 libavfilter-dev
  libblas-dev libboost-atomic-dev libboost-chrono-dev libboost-container-dev libboost-context-dev libboost-coroutine-dev libboost-dev libboost-exception-dev libboost-fiber-dev libboost-graph-dev
  libboost-graph-parallel-dev libboost-locale-dev libboost-log-dev libboost-math-dev libboost-mpi-dev libboost-mpi-python-dev libboost-numpy-dev libboost-python-dev libboost-random-dev
  libboost-serialization-dev libboost-signals-dev libboost-stacktrace-dev libboost-timer-dev libboost-tools-dev libboost-type-erasure-dev libboost-wave-dev libbullet-dev libbullet2.87 libbz2-dev libc6-dev:i386
  libccd-dev libccd2 libcilkrts5:i386 libconsole-bridge-dev libconsole-bridge0.4 libdapserver7v5 libepsilon-dev libflann-dev libflann1.9 libfltk-cairo1.3 libfltk-forms1.3 libfltk-images1.3 libfltk1.3-dev
  libfreeimage-dev libfreeimage3 libfreexl-dev libfyba-dev libgazebo9 libgcc-6-dev:i386 libgdk-pixbuf2.0-0:i386 libgeos-dev libgeotiff-dev libgif-dev libgirepository-1.0-1:i386 libgl2ps-dev libglib2.0-dev:i386
  libgomp1:i386 libgpg-error-dev libgpgme-dev libgraphite2-3:i386 libgraphite2-dev:i386 libgraphviz-dev libgtest-dev libgts-dev libgvc6-plugins-gtk libharfbuzz-gobject0:i386 libharfbuzz-icu0:i386
  libharfbuzz0b:i386 libhdf5-mpi-dev libhdf5-openmpi-dev libicu-le-hb0:i386 libiculx60:i386 libignition-cmake-dev libignition-common libignition-common-dev libignition-fuel-tools1-1 libignition-fuel-tools1-dev
  libignition-math4 libignition-math4-dev libignition-msgs libignition-msgs-dev libignition-transport4 libignition-transport4-dev libitm1:i386 libjson-c-dev libjsoncpp-dev libjxr0 libkml-dev libkmlconvenience1
  libkmlregionator1 libkmlxsd1 liblapack-dev liblog4cxx-dev liblog4cxx10v5 liblz4-dev libminizip-dev libmpx2:i386 libnetcdf-cxx-legacy-dev libogdi3.2-dev libogg-dev libogre-1.9-dev libogre-1.9.0v5
  libopenal-dev libopenjp2-7-dev libopenni-dev libopenni-sensor-pointclouds0 libopenni0 libopenni2-0 libopenni2-dev libpcl-apps1.8 libpcl-common1.8 libpcl-features1.8 libpcl-filters1.8 libpcl-io1.8
  libpcl-kdtree1.8 libpcl-keypoints1.8 libpcl-ml1.8 libpcl-octree1.8 libpcl-outofcore1.8 libpcl-people1.8 libpcl-recognition1.8 libpcl-registration1.8 libpcl-sample-consensus1.8 libpcl-search1.8
  libpcl-segmentation1.8 libpcl-stereo1.8 libpcl-surface1.8 libpcl-tracking1.8 libpcl-visualization1.8 libpcre16-3:i386 libpcre3-dev:i386 libpcre32-3:i386 libpcrecpp0v5:i386 libpng-dev:i386 libpoco-dev
  libpococrypto50 libpocodata50 libpocodatamysql50 libpocodataodbc50 libpocodatasqlite50 libpocofoundation50 libpocojson50 libpocomongodb50 libpoconet50 libpoconetssl50 libpocoredis50 libpocoutil50
  libpocoxml50 libpocozip50 libpoppler-dev libpoppler-private-dev libpostproc-dev libproj-dev libprotobuf-dev libprotoc-dev libprotoc10 libpthread-stubs0-dev:i386 libqhull-dev libqhull-r7
  libqt5designercomponents5 libqt5quickparticles5 libqt5quicktest5 libqt5sensors5 libqt5webkit5 libqt5webkit5-dev libqtpropertybrowser4 libquadmath0:i386 libsctp-dev libsctp1 libsdformat6 libsdl2-2.0-0
  libsimbody-dev libsimbody3.5v5 libspatialite-dev libspnav0 libstdc++-6-dev:i386 libsuperlu-dev libtar-dev libtar0 libtheora-dev libtinyxml-dev libtinyxml2-6 libtinyxml2-dev libtinyxml2.6.2v5 libubsan0:i386
  liburdfdom-dev liburdfdom-headers-dev liburdfdom-model liburdfdom-model-state liburdfdom-sensor liburdfdom-world liburiparser-dev libusb-1.0-0-dev libusb-1.0-doc libvtk6-java libvtk6-jni libvtk6.3-qt
  libwebp-dev libx11-dev:i386 libxau-dev:i386 libxcb1-dev:i386 libxdmcp-dev:i386 libxdot4 libxmu-dev libxmu-headers libxss-dev libyaml-cpp-dev libyaml-cpp0.5v5 libyaml-dev libzip-dev linux-libc-dev:i386
  openni-utils protobuf-compiler pyqt5-dev python-autobahn python-cbor python-concurrent.futures python-defusedxml python-empy python-gnupg python-lz4 python-mpi4py python-nacl python-netifaces
  python-pyqt5.qtopengl python-pyqt5.qtsvg python-pyqt5.qtwebkit python-qrcode python-rosdep python-sip-dev python-snappy python-trie python-trollius python-txaio python-u-msgpack python-ubjson python-vtk6
  python-wsaccel python-wxtools qt5-assistant qtdeclarative5-dev qttools5-dev qttools5-dev-tools qttools5-private-dev ros-melodic-angles ros-melodic-catkin ros-melodic-cmake-modules ros-melodic-gencpp
  ros-melodic-geneus ros-melodic-genlisp ros-melodic-genmsg ros-melodic-gennodejs ros-melodic-genpy ros-melodic-gl-dependency ros-melodic-media-export ros-melodic-message-generation ros-melodic-orocos-kdl
  ros-melodic-python-orocos-kdl ros-melodic-python-qt-binding ros-melodic-qt-dotgraph ros-melodic-qt-gui ros-melodic-qt-gui-py-common ros-melodic-qwt-dependency ros-melodic-ros-environment
  ros-melodic-rosbag-migration-rule ros-melodic-rosboost-cfg ros-melodic-rosclean ros-melodic-rosgraph ros-melodic-roslang ros-melodic-roslint ros-melodic-roslz4 ros-melodic-rosmake ros-melodic-rosmaster
  ros-melodic-rosparam ros-melodic-rqt-gui ros-melodic-smach ros-melodic-smclib ros-melodic-urdf-parser-plugin ros-melodic-urdfdom-py ros-melodic-webkit-dependency sbcl sdformat-sdf sip-dev tcl-dev tcl-vtk6
  tcl8.6-dev tk-dev tk8.6-dev ttf-dejavu-core uuid-dev vtk6 x11proto-scrnsaver-dev zlib1g-dev:i386
Use 'apt autoremove' to remove them.
The following NEW packages will be installed:
  docbook-dsssl docbook-utils fonts-lmodern libostyle1c2 libpotrace0 libptexenc1 libsgmls-perl libsynctex1 libtexlua52 libtexluajit2 lynx lynx-common openjade preview-latex-style quilt sgmlspl texlive-base
  texlive-binaries texlive-fonts-recommended texlive-formats-extra texlive-latex-base texlive-latex-extra texlive-latex-recommended texlive-pictures texlive-plain-generic texlive-xetex tipa
0 upgraded, 27 newly installed, 0 to remove and 42 not upgraded.
Need to get 113 MB of archives.
After this operation, 340 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 libostyle1c2 amd64 1.4devel1-21.3 [592 kB]
Get:2 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 openjade amd64 1.4devel1-21.3 [235 kB]
Get:3 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 docbook-dsssl all 1.79-9.1 [217 kB]
Get:4 http://sy.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libptexenc1 amd64 2017.20170613.44572-8ubuntu0.1 [34.5 kB]
Get:5 http://sy.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libsynctex1 amd64 2017.20170613.44572-8ubuntu0.1 [41.4 kB]
Get:6 http://sy.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libtexlua52 amd64 2017.20170613.44572-8ubuntu0.1 [91.2 kB]
Get:7 http://sy.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libtexluajit2 amd64 2017.20170613.44572-8ubuntu0.1 [230 kB]
Get:8 http://sy.archive.ubuntu.com/ubuntu bionic/main amd64 libpotrace0 amd64 1.14-2 [17.4 kB]
Get:9 http://sy.archive.ubuntu.com/ubuntu bionic-updates/main amd64 texlive-binaries amd64 2017.20170613.44572-8ubuntu0.1 [8,179 kB]
Get:10 http://sy.archive.ubuntu.com/ubuntu bionic/main amd64 texlive-base all 2017.20180305-1 [18.7 MB]                                                                                                           
Get:11 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 texlive-fonts-recommended all 2017.20180305-1 [5,262 kB]                                                                                         
Get:12 http://sy.archive.ubuntu.com/ubuntu bionic/main amd64 fonts-lmodern all 2.004.5-3 [4,551 kB]                                                                                                               
Get:13 http://sy.archive.ubuntu.com/ubuntu bionic/main amd64 texlive-latex-base all 2017.20180305-1 [951 kB]                                                                                                      
Get:14 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 texlive-plain-generic all 2017.20180305-2 [23.6 MB]                                                                                              
Get:15 http://sy.archive.ubuntu.com/ubuntu bionic/main amd64 preview-latex-style all 11.91-1ubuntu1 [185 kB]                                                                                                      
Get:16 http://sy.archive.ubuntu.com/ubuntu bionic/main amd64 texlive-latex-recommended all 2017.20180305-1 [14.9 MB]                                                                                              
Get:17 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 texlive-pictures all 2017.20180305-1 [4,026 kB]                                                                                                  
Get:18 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 texlive-latex-extra all 2017.20180305-2 [10.6 MB]                                                                                                
Get:19 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 tipa all 2:1.3-20 [2,978 kB]                                                                                                                     
Get:20 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 texlive-xetex all 2017.20180305-1 [10.7 MB]                                                                                                      
Get:21 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 texlive-formats-extra all 2017.20180305-2 [4,626 kB]                                                                                             
Get:22 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 lynx-common all 2.8.9dev16-3 [940 kB]                                                                                                            
Get:23 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 lynx amd64 2.8.9dev16-3 [628 kB]                                                                                                                 
Get:24 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 libsgmls-perl all 1.03ii-36 [23.1 kB]                                                                                                            
Get:25 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 sgmlspl all 1.03ii-36 [6,158 B]                                                                                                                  
Get:26 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 docbook-utils all 0.6.14-3.3 [58.6 kB]                                                                                                           
Get:27 http://sy.archive.ubuntu.com/ubuntu bionic/universe amd64 quilt all 0.63-8.2 [293 kB]                                                                                                                      
Fetched 113 MB in 3min 23s (554 kB/s)                                                                                                                                                                             
Preconfiguring packages ...
Selecting previously unselected package libostyle1c2.
(Reading database ... 325581 files and directories currently installed.)
Preparing to unpack .../00-libostyle1c2_1.4devel1-21.3_amd64.deb ...
Unpacking libostyle1c2 (1.4devel1-21.3) ...
Selecting previously unselected package openjade.
Preparing to unpack .../01-openjade_1.4devel1-21.3_amd64.deb ...
Unpacking openjade (1.4devel1-21.3) ...
Selecting previously unselected package docbook-dsssl.
Preparing to unpack .../02-docbook-dsssl_1.79-9.1_all.deb ...
Unpacking docbook-dsssl (1.79-9.1) ...
Selecting previously unselected package libptexenc1:amd64.
Preparing to unpack .../03-libptexenc1_2017.20170613.44572-8ubuntu0.1_amd64.deb ...
Unpacking libptexenc1:amd64 (2017.20170613.44572-8ubuntu0.1) ...
Selecting previously unselected package libsynctex1:amd64.
Preparing to unpack .../04-libsynctex1_2017.20170613.44572-8ubuntu0.1_amd64.deb ...
Unpacking libsynctex1:amd64 (2017.20170613.44572-8ubuntu0.1) ...
Selecting previously unselected package libtexlua52:amd64.
Preparing to unpack .../05-libtexlua52_2017.20170613.44572-8ubuntu0.1_amd64.deb ...
Unpacking libtexlua52:amd64 (2017.20170613.44572-8ubuntu0.1) ...
Selecting previously unselected package libtexluajit2:amd64.
Preparing to unpack .../06-libtexluajit2_2017.20170613.44572-8ubuntu0.1_amd64.deb ...
Unpacking libtexluajit2:amd64 (2017.20170613.44572-8ubuntu0.1) ...
Selecting previously unselected package libpotrace0.
Preparing to unpack .../07-libpotrace0_1.14-2_amd64.deb ...
Unpacking libpotrace0 (1.14-2) ...
Selecting previously unselected package texlive-binaries.
Preparing to unpack .../08-texlive-binaries_2017.20170613.44572-8ubuntu0.1_amd64.deb ...
Unpacking texlive-binaries (2017.20170613.44572-8ubuntu0.1) ...
Selecting previously unselected package texlive-base.
Preparing to unpack .../09-texlive-base_2017.20180305-1_all.deb ...
Unpacking texlive-base (2017.20180305-1) ...
Selecting previously unselected package texlive-fonts-recommended.
Preparing to unpack .../10-texlive-fonts-recommended_2017.20180305-1_all.deb ...
Unpacking texlive-fonts-recommended (2017.20180305-1) ...
Selecting previously unselected package fonts-lmodern.
Preparing to unpack .../11-fonts-lmodern_2.004.5-3_all.deb ...
Unpacking fonts-lmodern (2.004.5-3) ...
Selecting previously unselected package texlive-latex-base.
Preparing to unpack .../12-texlive-latex-base_2017.20180305-1_all.deb ...
Unpacking texlive-latex-base (2017.20180305-1) ...
Selecting previously unselected package texlive-plain-generic.
Preparing to unpack .../13-texlive-plain-generic_2017.20180305-2_all.deb ...
Unpacking texlive-plain-generic (2017.20180305-2) ...
Selecting previously unselected package preview-latex-style.
Preparing to unpack .../14-preview-latex-style_11.91-1ubuntu1_all.deb ...
Unpacking preview-latex-style (11.91-1ubuntu1) ...
Selecting previously unselected package texlive-latex-recommended.
Preparing to unpack .../15-texlive-latex-recommended_2017.20180305-1_all.deb ...
Unpacking texlive-latex-recommended (2017.20180305-1) ...
Selecting previously unselected package texlive-pictures.
Preparing to unpack .../16-texlive-pictures_2017.20180305-1_all.deb ...
Unpacking texlive-pictures (2017.20180305-1) ...
Selecting previously unselected package texlive-latex-extra.
Preparing to unpack .../17-texlive-latex-extra_2017.20180305-2_all.deb ...
Unpacking texlive-latex-extra (2017.20180305-2) ...
Selecting previously unselected package tipa.
Preparing to unpack .../18-tipa_2%3a1.3-20_all.deb ...
Unpacking tipa (2:1.3-20) ...
Selecting previously unselected package texlive-xetex.
Preparing to unpack .../19-texlive-xetex_2017.20180305-1_all.deb ...
Unpacking texlive-xetex (2017.20180305-1) ...
Selecting previously unselected package texlive-formats-extra.
Preparing to unpack .../20-texlive-formats-extra_2017.20180305-2_all.deb ...
Unpacking texlive-formats-extra (2017.20180305-2) ...
Selecting previously unselected package lynx-common.
Preparing to unpack .../21-lynx-common_2.8.9dev16-3_all.deb ...
Unpacking lynx-common (2.8.9dev16-3) ...
Selecting previously unselected package lynx.
Preparing to unpack .../22-lynx_2.8.9dev16-3_amd64.deb ...
Unpacking lynx (2.8.9dev16-3) ...
Selecting previously unselected package libsgmls-perl.
Preparing to unpack .../23-libsgmls-perl_1.03ii-36_all.deb ...
Unpacking libsgmls-perl (1.03ii-36) ...
Selecting previously unselected package sgmlspl.
Preparing to unpack .../24-sgmlspl_1.03ii-36_all.deb ...
Unpacking sgmlspl (1.03ii-36) ...
Selecting previously unselected package docbook-utils.
Preparing to unpack .../25-docbook-utils_0.6.14-3.3_all.deb ...
Unpacking docbook-utils (0.6.14-3.3) ...
Selecting previously unselected package quilt.
Preparing to unpack .../26-quilt_0.63-8.2_all.deb ...
Unpacking quilt (0.63-8.2) ...
Setting up libtexlua52:amd64 (2017.20170613.44572-8ubuntu0.1) ...
Setting up quilt (0.63-8.2) ...
Setting up libsynctex1:amd64 (2017.20170613.44572-8ubuntu0.1) ...
Setting up libptexenc1:amd64 (2017.20170613.44572-8ubuntu0.1) ...
Processing triggers for tex-common (6.09) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
Processing triggers for install-info (6.5.0.dfsg.1-2) ...
Setting up preview-latex-style (11.91-1ubuntu1) ...
Processing triggers for sgml-base (1.29) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libostyle1c2 (1.4devel1-21.3) ...
Setting up openjade (1.4devel1-21.3) ...
Setting up libpotrace0 (1.14-2) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Setting up libsgmls-perl (1.03ii-36) ...
Setting up lynx-common (2.8.9dev16-3) ...
Setting up libtexluajit2:amd64 (2017.20170613.44572-8ubuntu0.1) ...
Processing triggers for fontconfig (2.12.6-0ubuntu2) ...
Setting up fonts-lmodern (2.004.5-3) ...
Setting up lynx (2.8.9dev16-3) ...
update-alternatives: using /usr/bin/lynx to provide /usr/bin/www-browser (www-browser) in auto mode
Setting up texlive-binaries (2017.20170613.44572-8ubuntu0.1) ...
update-alternatives: using /usr/bin/xdvi-xaw to provide /usr/bin/xdvi.bin (xdvi.bin) in auto mode
update-alternatives: using /usr/bin/bibtex.original to provide /usr/bin/bibtex (bibtex) in auto mode
Setting up sgmlspl (1.03ii-36) ...
Setting up texlive-base (2017.20180305-1) ...
mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVEDIST... 
mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
mktexlsr: Updating /var/lib/texmf/ls-R... 
mktexlsr: Done.
tl-paper: setting paper size for dvips to a4: /var/lib/texmf/dvips/config/config-paper.ps
tl-paper: setting paper size for dvipdfmx to a4: /var/lib/texmf/dvipdfmx/dvipdfmx-paper.cfg
tl-paper: setting paper size for xdvi to a4: /var/lib/texmf/xdvi/XDvi-paper
tl-paper: setting paper size for pdftex to a4: /var/lib/texmf/tex/generic/config/pdftexconfig.tex
Setting up texlive-fonts-recommended (2017.20180305-1) ...
Setting up texlive-plain-generic (2017.20180305-2) ...
Setting up texlive-latex-base (2017.20180305-1) ...
Setting up texlive-latex-recommended (2017.20180305-1) ...
Setting up texlive-pictures (2017.20180305-1) ...
Setting up tipa (2:1.3-20) ...
Regenerating '/var/lib/texmf/fmtutil.cnf-DEBIAN'... done.
Regenerating '/var/lib/texmf/fmtutil.cnf-TEXLIVEDIST'... done.
update-fmtutil has updated the following file(s):
    /var/lib/texmf/fmtutil.cnf-DEBIAN
    /var/lib/texmf/fmtutil.cnf-TEXLIVEDIST
If you want to activate the changes in the above file(s),
you should run fmtutil-sys or fmtutil.
Setting up texlive-latex-extra (2017.20180305-2) ...
Setting up texlive-xetex (2017.20180305-1) ...
Setting up texlive-formats-extra (2017.20180305-2) ...
Processing triggers for sgml-base (1.29) ...
Setting up docbook-dsssl (1.79-9.1) ...
Processing triggers for sgml-base (1.29) ...
Setting up docbook-utils (0.6.14-3.3) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for tex-common (6.09) ...
Running updmap-sys. This may take some time... done.
Running mktexlsr /var/lib/texmf ... done.
Building format(s) --all.
    This may take some time... done.
libdvd-pkg: Checking orig.tar integrity...
/usr/src/libdvd-pkg/libdvdcss_1.4.2.orig.tar.bz2: OK
libdvd-pkg: `apt-get check` failed, you may have broken packages. Aborting...


apt-get install libgtk2.0-dev:i386
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libgtk2.0-dev:i386 : Depends: libpango1.0-dev:i386 (>= 1.20) but it is not going to be installed
                      Recommends: python:i386 (>= 2.4) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
1

This is supported in Debian using multiarch. Add the i386 architecture, then update the repository indexes:

sudo dpkg --add-architecture i386
sudo apt update

You will then be able to install the necessary 32-bit libraries by suffixing them with :i386, for example

sudo apt install libc6:i386

All architectures of a given package must be installed with exactly the same version.

  • i tried actually, but i keeping getting following errors, for build-dep, i get you have proken packages, and install i get "list of dependencies aren't going to be installed", i try to go through each of the dependencies, but i get the same errors, and it's loops to more dependences – Error Apr 28 '19 at 15:26
  • Why are you trying to install development packages? – Stephen Kitt Apr 28 '19 at 16:26
  • the libgtk2.0-0:1386 is installed successfully, and executable is working, but why dev failed? – Error Apr 29 '19 at 1:09
  • Multiarch isn’t necessarily supported for -dev packages, and many -dev packages can’t be installed in this fashion. – Stephen Kitt Apr 29 '19 at 5:17
  • for what reason isn't supported – Error Apr 29 '19 at 11:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.